ManagementContext (The Data Transfer Scheduler Service 2.0.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.scheduler.impl.context
Class ManagementContext

    java.lang.Object
      org.gcube.common.core.contexts.GCUBEContext
          org.gcube.common.core.contexts.GCUBEPortTypeContext
              org.gcube.datatransfer.scheduler.impl.context.ManagementContext

    public class ManagementContext

extends org.gcube.common.core.contexts.GCUBEPortTypeContext

Nested Class Summary

Nested classes/interfaces inherited from class org.gcube.common.core.contexts.GCUBEPortTypeContext
`org.gcube.common.core.contexts.GCUBEPortTypeContext.PTConsumer`

Field Summary

Fields inherited from class org.gcube.common.core.contexts.GCUBEPortTypeContext
`deploymentDescriptor, name, securityDescriptor, WSDD_FILE_NAME, WSSD_WSDD_NAME`

Fields inherited from class org.gcube.common.core.contexts.GCUBEContext
`logger, timers`

Method Summary
`static ManagementContext` | `getContext()` Returns cached instance
`String` | `getJNDIName()`
`String` | `getNamespace()`
`org.gcube.common.core.contexts.GCUBEServiceContext` | `getServiceContext()`

Methods inherited from class org.gcube.common.core.contexts.GCUBEPortTypeContext
`getDeploymentDescriptor, getEPR, getFile, getName, getPersistentFile, getProperty, getSecurityDescriptor, onFailure, onInitialisation, onReady, onStateChange, onUpdate`

Methods inherited from class org.gcube.common.core.contexts.GCUBEContext
`debugContext, getJNDIContext, getResource, getTiming, printContext, resetTimer, setJNDIContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getContext

    public static ManagementContext getContext()

  Returns cached instance

### getJNDIName

    public String getJNDIName()

  Specified by:
    `getJNDIName` in class `org.gcube.common.core.contexts.GCUBEPortTypeContext`

### getNamespace

    public String getNamespace()

  Specified by:
    `getNamespace` in class `org.gcube.common.core.contexts.GCUBEPortTypeContext`

### getServiceContext

    public org.gcube.common.core.contexts.GCUBEServiceContext getServiceContext()

  Specified by:
    `getServiceContext` in class `org.gcube.common.core.contexts.GCUBEPortTypeContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.